Subject: [bug#28558] [PATCH] gnu: Add atool.

From: Stefan Reichör <[email-masked]>
Date: Sun, 08 Oct 2017 11:25:54 +0200

> Hi Stefan,
>
> Stefan Reichör <[email-masked]> skribis:
>
>>> On 23/09/17 07:49, Stefan Reichör wrote:
>>>> * gnu/packages/compression.scm (atool): New variable.
>>> Thanks for the patch. While adding all compression programs supported
>>> (e.g. tar) as inputs is probably too much given their large number, I
>>> think it would be good to add "file" and patch in the path to "file"
>>> in bin/atool. WDYT?
>>
>> Thanks for your feedback. I don't think that file is an important tool
>> for atool. At least I use only archives with the correct file extension.
>> And all the archives that I remember that I downloaded from some site
>> also provided the correct file extension. In that case file is not needed to
>> detect the archive type.
>>
>> However, if you think that hard coding the full path to file is a good
>> thing I will update my patch. It should be doable for me...
>
> As discussed earlier in another thread, I think it’s a good idea to
> hard-code absolute file names.  Could you update the patch accordingly?
>
> TIA,
> Ludo’.

Hi Ludo!

I am really busy for the next weeks. So I won't have time to do some
work for Guix. I will try to improve my patches when I find the time.

Stefan.